import React from 'react';
import { Paging } from './Paging';
import { styled, withTheme } from '@storybook/theming';
import { Button } from '@storybook/components';
const Container = withTheme(styled.div(_ref => {
  let {
    theme
  } = _ref;
  return {
    display: 'flex',
    padding: '20px',
    justifyContent: 'space-between',
    background: theme.background.content
  };
}));
const StyledButton = styled(Button)({
  transform: 'none'
});
export function PageFooter(_ref2) {
  let {
    canApprove,
    retriesCount,
    retry,
    onRetryChange,
    onApprove
  } = _ref2;
  return /*#__PURE__*/React.createElement(Container, null, /*#__PURE__*/React.createElement(Paging, {
    activePage: retry,
    onPageChange: onRetryChange,
    pagesCount: retriesCount
  }), canApprove ? /*#__PURE__*/React.createElement(StyledButton, {
    secondary: true,
    outline: true,
    onClick: onApprove
  }, 'Approve') : null);
}